Bug 1731060 - Capsule not in the current location won't get sync after publishing a CV successfully.
Summary: Capsule not in the current location won't get sync after publishing a CV succ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Justin Sherrill
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 09:07 UTC by Hao Chang Yu
Modified: 2019-10-22 19:51 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.27-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27529 Normal Closed Capsule not in the current location won't get sync after publishing a CV successfully. 2020-01-13 21:13:19 UTC
Foreman Issue Tracker 27611 Normal Closed Cannot pass in obects to BulkAction that are not within users 'scope' 2020-01-13 21:13:20 UTC
Foreman Issue Tracker 27864 Normal Closed cannot publish a content view in location other than default smart proxy's. "Couldn't find SmartProxy with 'id'=1 [WHE... 2020-01-13 21:13:20 UTC

Description Hao Chang Yu 2019-07-18 09:07:30 UTC
Description of problem:
When both current organization and current location are set in the web UI, Satellite will only trigger the Capsule sync tasks for the Capsules in the current location after publishing or promoting a content view successfully. The capsules which are not in the current location will not be synced.

Version-Release number of selected component (if applicable):
6.5

Steps to Reproduce:
1. Login as Admin User.
2. Create 2 locations in your Satellite, such as Sydney and Melbourne.
3. Having 2 Capsules register to the Satellite and make sure they are in the same lifecycle environments.
4. Add the 1st Capsule to location Sydney only.
5. Add the 2nd Capsule to location Melbourne only.
6. Create a content view and add some repositories to it.
7. Set the current location to Sydney in the Web UI.
8. Publish the content view you just created.
9. After publishing the content view successfully, go to the Monitor -> Tasks page and you should be able to see only 1 Capsule sync task is triggered.

Actual results:
Capsule in Melbourne not getting sync

Expected results:
Capsules in both locations should be synced.

Comment 4 Justin Sherrill 2019-07-23 00:38:02 UTC
Yes, this does sound like a bug, likely we need a .unscoped call on some smart proxy lookup

Comment 5 Justin Sherrill 2019-08-06 19:11:36 UTC
Created redmine issue https://projects.theforeman.org/issues/27529 from this bug

Comment 6 Bryan Kearney 2019-08-06 20:02:57 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 7 Bryan Kearney 2019-08-06 20:02:59 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 8 Bryan Kearney 2019-08-16 22:02:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27529 has been resolved.

Comment 15 Justin Sherrill 2019-09-17 14:38:32 UTC
adding upstream issue to resolve part of latest findings.  still need fixed foreman-tasks

Comment 16 Justin Sherrill 2019-09-18 19:32:40 UTC
foreman-tasks v0.15.11 has been released upstream to resolve the downstream regression

Comment 19 Bryan Kearney 2019-10-22 19:51:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.